#include <iostream>

using namespace std;

int main()
{
    int n,k,x,c;
    scanf("%d",&n);
    scanf("%d",&k);
    scanf("%d",&x);
    double a,s;
    double p[n];
    for(int i=0;i<n;i++)
    {
        scanf("%lf",&p[i]);
    }
    for(int i=0;i<n-k+1;i++)
    {
        c=1;
        s=0;
        a=0;
        for(int j=i;j<i+k;j++)
        {
            a+=c*p[j];
        }
        for(int j=i;j<i+k-x+c;j++)
        {
            s+=c*p[j];
            a-=c*p[j];
            if(a>0)
            {
                c++;
            }
        }
        for(int j=i+k-x+c;j<i+k;j++)
        {
            s+=c*p[j];
            c++;
        }
        printf("%lf ",s);
    }
    return 0;
}